Index: /issm/trunk-jpl/externalpackages/boost/install-1.72-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.72-mac-static.sh	(revision 24702)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.72-mac-static.sh	(revision 24703)
@@ -37,11 +37,7 @@
 ./b2 toolset=darwin link=static install
 
-# Copy binary to install directory
-mkdir ${BOOST_ROOT}/install/bin
-cp bjam ${BOOST_ROOT}/install/bin
-
 # Remove any dynamic libraries that may have been compiled
 #
 # TODO: Reconfigure so that dynamic libraries are not compiled at all
 #
-rm -f $(ls ${BOOST_ROOT}/install/lib/*.dylib)
+rm -f $(find ${BOOST_ROOT}/install/lib -name *.dylib)
Index: /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-with_dakota.sh
===================================================================
--- /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-with_dakota.sh	(revision 24702)
+++ /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries-with_dakota.sh	(revision 24703)
@@ -49,76 +49,76 @@
 cp ${LIBGFORTRAN} ${LIBGFORTRAN_DIST} 2> /dev/null
 
-# # Run tests
-# echo "Running tests"
-# cd ${ISSM_DIR}/test/NightlyRun
+# Run tests
+echo "Running tests"
+cd ${ISSM_DIR}/test/NightlyRun
 
-# # Check that MATLAB tests run
-# echo "Running MATLAB tests"
+# Check that MATLAB tests run
+echo "Running MATLAB tests"
 
-# rm matlab.log 2> /dev/null
+rm matlab.log 2> /dev/null
 
-# # Run MATLAB tests redirecting output to logfile and suppressing output to console
-# ${MATLAB_PATH}/bin/matlab -nojvm -nosplash -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
+# Run MATLAB tests redirecting output to logfile and suppressing output to console
+${MATLAB_PATH}/bin/matlab -nojvm -nosplash -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
 
-# # Check that MATLAB did not exit in error
-# matlabExitCode=`echo $?`
-# matlabExitedInError=`grep -E "Activation cannot proceed|license" matlab.log | wc -l`
+# Check that MATLAB did not exit in error
+matlabExitCode=`echo $?`
+matlabExitedInError=`grep -E "Activation cannot proceed|license" matlab.log | wc -l`
 
-# if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
-# 	echo "----------MATLAB exited in error!----------"
-# 	cat matlab.log
-# 	echo "-----------End of matlab.log-----------"
+if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
+	echo "----------MATLAB exited in error!----------"
+	cat matlab.log
+	echo "-----------End of matlab.log-----------"
 
-# 	# Clean up execution directory
-# 	rm -rf ${ISSM_DIR}/execution/*
+	# Clean up execution directory
+	rm -rf ${ISSM_DIR}/execution/*
 
-# 	exit 1
-# fi
+	exit 1
+fi
 
-# # Check that all MATLAB tests passed
-# numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
+# Check that all MATLAB tests passed
+numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
 
-# if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
-# 	echo "One or more MATLAB tests FAILED"
-# 	exit 1;
-# else
-# 	echo "All MATLAB tests PASSED"
-# fi
+if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
+	echo "One or more MATLAB tests FAILED"
+	exit 1;
+else
+	echo "All MATLAB tests PASSED"
+fi
 
-# # Check that Python tests run
-# echo "Running Python tests"
+# Check that Python tests run
+echo "Running Python tests"
 
-# export PATH="${PATH}:${ISSM_DIR}/bin"
-# export PYTHONPATH="${ISSM_DIR}/src/m/dev"
-# export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
-# export PYTHONUNBUFFERED=1 # We don't want Python to buffer output, otherwise issm.exe output is not captured
+export PATH="${PATH}:${ISSM_DIR}/bin"
+export PYTHONPATH="${ISSM_DIR}/src/m/dev"
+export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
+export PYTHONUNBUFFERED=1 # We don't want Python to buffer output, otherwise issm.exe output is not captured
 
-# rm python.log 2> /dev/null
-# ./runme.py ${PYTHON_NROPTIONS} &> python.log 2>&1
+rm python.log 2> /dev/null
+./runme.py ${PYTHON_NROPTIONS} &> python.log 2>&1
 
-# # Check that Python did not exit in error
-# pythonExitCode=`echo $?`
-# pythonExitedInError=`grep -E "Error|Traceback|bad interpreter" python.log | wc -l`
+# Check that Python did not exit in error
+pythonExitCode=`echo $?`
+pythonExitedInError=`grep -E "Error|Traceback|bad interpreter" python.log | wc -l`
 
-# if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
-# 	echo "----------Python exited in error!----------"
-# 	cat python.log
-# 	echo "-----------End of python.log-----------"
+if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
+	echo "----------Python exited in error!----------"
+	cat python.log
+	echo "-----------End of python.log-----------"
 
-# 	# Clean up execution directory
-# 	rm -rf ${ISSM_DIR}/execution/*
+	# Clean up execution directory
+	rm -rf ${ISSM_DIR}/execution/*
 
-# 	exit 1
-# fi
+	exit 1
+fi
 
-# # Check that all Python tests passed
-# numPythonTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+# Check that all Python tests passed
+numPythonTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
 
-# if [[ ${numPythonTestsFailed} -ne 0 ]]; then
-# 	echo "One or more Python tests FAILED"
-# 	exit 1
-# else
-# 	echo "All Python tests PASSED"
-# fi
+if [[ ${numPythonTestsFailed} -ne 0 ]]; then
+	echo "One or more Python tests FAILED"
+	exit 1
+else
+	echo "All Python tests PASSED"
+fi
 
 # Create tarball
@@ -144,5 +144,3 @@
 	echo "FAILED: Manually check connection"
 	exit 1
-else
-	echo "SUCCESS"
 fi
Index: /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries.sh
===================================================================
--- /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries.sh	(revision 24702)
+++ /issm/trunk-jpl/packagers/linux/package-issm-linux-binaries.sh	(revision 24703)
@@ -71,5 +71,5 @@
 if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
 	echo "One or more MATLAB tests FAILED"
-	exit 1;
+	exit 1
 else
 	echo "All MATLAB tests PASSED"
@@ -90,25 +90,9 @@
 ls -lah ${ISSM_DIR}/${TARBALL}
 
-echo "Shipping binaries to website"
-
-# We're using public key authentication method to upload the tarball The
-# following lines check to see if the SSH Agent is running. If not, then it is
-# started and relevant information is forwarded to a script.
-pgrep "ssh-agent" > /dev/null
-if [ $? -ne 0 ]; then
-	echo "SSH Agent is not running. Starting it..."
-	ssh-agent > ~/.ssh/agent.sh
-else
-	echo "SSH Agent is running..."
-fi
-
-source ~/.ssh/agent.sh
-ssh-add ~/.ssh/debian_linux-vm_to_ross
-
-scp ${TARBALL} ross.ics.uci.edu:/var/www/html/${TARBALL}
+echo "Transferring binaries to ISSM Web site"
+scp -i ~/.ssh/debian_linux-vm_to_ross ${TARBALL} jenkins@ross.ics.uci.edu:/var/www/html/${TARBALL}
 
 if [ $? -ne 0 ]; then
-	echo "The upload failed."
-	echo "Perhaps the SSH Agent was started by some other means."
-	echo "Try killing the agent and running again."
+	echo "FAILED: Manually check connection"
+	exit 1
 fi
Index: /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries-with_dakota.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries-with_dakota.sh	(revision 24702)
+++ /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries-with_dakota.sh	(revision 24703)
@@ -42,76 +42,76 @@
 fi
 
-# # Run tests
-# echo "Running tests"
-# cd ${ISSM_DIR}/test/NightlyRun
+# Run tests
+echo "Running tests"
+cd ${ISSM_DIR}/test/NightlyRun
 
-# # Check that MATLAB tests run
-# echo "Running MATLAB tests"
+# Check that MATLAB tests run
+echo "Running MATLAB tests"
 
-# rm matlab.log 2> /dev/null
+rm matlab.log 2> /dev/null
 
-# # Run MATLAB tests redirecting output to logfile and suppressing output to console
-# ${MATLAB_PATH}/bin/matlab -nojvm -nosplash -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
+# Run MATLAB tests redirecting output to logfile and suppressing output to console
+${MATLAB_PATH}/bin/matlab -nojvm -nosplash -r "try, addpath ${ISSM_DIR}/bin ${ISSM_DIR}/lib; runme(${MATLAB_NROPTIONS}); exit; catch me,fprintf('%s',getReport(me)); exit; end" -logfile matlab.log &> /dev/null
 
-# # Check that MATLAB did not exit in error
-# matlabExitCode=`echo $?`
-# matlabExitedInError=`grep -E "Activation cannot proceed|license" matlab.log | wc -l`
+# Check that MATLAB did not exit in error
+matlabExitCode=`echo $?`
+matlabExitedInError=`grep -E "Activation cannot proceed|license" matlab.log | wc -l`
 
-# if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
-# 	echo "----------MATLAB exited in error!----------"
-# 	cat matlab.log
-# 	echo "-----------End of matlab.log-----------"
+if [[ ${matlabExitCode} -ne 0 || ${matlabExitedInError} -ne 0 ]]; then
+	echo "----------MATLAB exited in error!----------"
+	cat matlab.log
+	echo "-----------End of matlab.log-----------"
 
-# 	# Clean up execution directory
-# 	rm -rf ${ISSM_DIR}/execution/*
+	# Clean up execution directory
+	rm -rf ${ISSM_DIR}/execution/*
 
-# 	exit 1
-# fi
+	exit 1
+fi
 
-# # Check that all MATLAB tests passed
-# numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
+# Check that all MATLAB tests passed
+numMatlabTestsFailed=`cat matlab.log | grep -c -e "FAILED|ERROR"`
 
-# if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
-# 	echo "One or more MATLAB tests FAILED"
-# 	exit 1;
-# else
-# 	echo "All MATLAB tests PASSED"
-# fi
+if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
+	echo "One or more MATLAB tests FAILED"
+	exit 1;
+else
+	echo "All MATLAB tests PASSED"
+fi
 
-# # Check that Python tests run
-# echo "Running Python tests"
+# Check that Python tests run
+echo "Running Python tests"
 
-# export PATH="${PATH}:${ISSM_DIR}/bin"
-# export PYTHONPATH="${ISSM_DIR}/src/m/dev"
-# export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
-# export PYTHONUNBUFFERED=1 # We don't want Python to buffer output, otherwise issm.exe output is not captured
+export PATH="${PATH}:${ISSM_DIR}/bin"
+export PYTHONPATH="${ISSM_DIR}/src/m/dev"
+export PYTHONSTARTUP="${PYTHONPATH}/devpath.py"
+export PYTHONUNBUFFERED=1 # We don't want Python to buffer output, otherwise issm.exe output is not captured
 
-# rm python.log 2> /dev/null
-# ./runme.py ${PYTHON_NROPTIONS} &> python.log 2>&1
+rm python.log 2> /dev/null
+./runme.py ${PYTHON_NROPTIONS} &> python.log 2>&1
 
-# # Check that Python did not exit in error
-# pythonExitCode=`echo $?`
-# pythonExitedInError=`grep -E "Error|Traceback|bad interpreter" python.log | wc -l`
+# Check that Python did not exit in error
+pythonExitCode=`echo $?`
+pythonExitedInError=`grep -E "Error|Traceback|bad interpreter" python.log | wc -l`
 
-# if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
-# 	echo "----------Python exited in error!----------"
-# 	cat python.log
-# 	echo "-----------End of python.log-----------"
+if [[ ${pythonExitCode} -ne 0 || ${pythonExitedInError} -ne 0 ]]; then
+	echo "----------Python exited in error!----------"
+	cat python.log
+	echo "-----------End of python.log-----------"
 
-# 	# Clean up execution directory
-# 	rm -rf ${ISSM_DIR}/execution/*
+	# Clean up execution directory
+	rm -rf ${ISSM_DIR}/execution/*
 
-# 	exit 1
-# fi
+	exit 1
+fi
 
-# # Check that all Python tests passed
-# numPythonTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
+# Check that all Python tests passed
+numPythonTestsFailed=`cat python.log | grep -c -e "FAILED|ERROR"`
 
-# if [[ ${numPythonTestsFailed} -ne 0 ]]; then
-# 	echo "One or more Python tests FAILED"
-# 	exit 1
-# else
-# 	echo "All Python tests PASSED"
-# fi
+if [[ ${numPythonTestsFailed} -ne 0 ]]; then
+	echo "One or more Python tests FAILED"
+	exit 1
+else
+	echo "All Python tests PASSED"
+fi
 
 # Create tarball
@@ -137,5 +137,3 @@
 	echo "FAILED: Manually check connection"
 	exit 1
-else
-	echo "SUCCESS"
 fi
Index: /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries.sh
===================================================================
--- /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries.sh	(revision 24702)
+++ /issm/trunk-jpl/packagers/mac/package-issm-mac-binaries.sh	(revision 24703)
@@ -66,5 +66,5 @@
 if [[ ${numMatlabTestsFailed} -ne 0 ]]; then
 	echo "One or more MATLAB tests FAILED"
-	exit 1;
+	exit 1
 else
 	echo "All MATLAB tests PASSED"
@@ -85,25 +85,9 @@
 ls -lah ${ISSM_DIR}/${TARBALL}
 
-echo "Shipping binaries to website"
-
-# We're using public key authentication method to upload the tarball The
-# following lines check to see if the SSH Agent is running. If not, then it is
-# started and relevant information is forwarded to a script.
-pgrep "ssh-agent" > /dev/null
-if [ $? -ne 0 ]; then
-	echo "SSH Agent is not running. Starting it..."
-	ssh-agent > ~/.ssh/agent.sh
-else
-	echo "SSH Agent is running..."
-fi
-
-source ~/.ssh/agent.sh
-ssh-add ~/.ssh/pine_island_to_ross
-
-scp ${TARBALL} ross.ics.uci.edu:/var/www/html/${TARBALL}
+echo "Transferring binaries to ISSM Web site"
+scp -i ~/.ssh/pine_island_to_ross ${TARBALL} jenkins@ross.ics.uci.edu:/var/www/html/${TARBALL}
 
 if [ $? -ne 0 ]; then
-	echo "The upload failed."
-	echo "Perhaps the SSH Agent was started by some other means."
-	echo "Try killing the agent and running again."
+	echo "FAILED: Manually check connection"
+	exit 1
 fi
